RSTT 3.2.1 Regional Seismic Travel Time

Loading...
Searching...
No Matches
taup::TravelTimeResult Class Reference

A public container (struct) that holds the result of a specific ray that satisfied the source distance / depth! requirement. This object maintains all pertinent information related to the ray for subsequent retrieval and evaluation. More...

`#include <TauPSite.h>`

## Public Member Functions
| TravelTimeResult ()
| Default constructor.
string | toString (string indent="") const
| Dump TTR to string.
void | toStream (ostream &os, string indent="") const
| Dump TTR to stream.

## Public Attributes
TPVelocityLayer * | ttrVelLayer
| The velocity layer within which the ray turned.
string | ttrPhaseName
| The velocity layers input provided phase name if given. Else the string is empty.
string | ttrPhaseEval
| The velocity layers evaluated default name. This string is never empty. This will be Xnb, Xnb+, Xnb-, Xni+, or Xni- where n is the layer index and X is "P" or "S".
string | ttrRayType
| A string that contains "Turning", "UpGoing", or "DownGoing" indicating the type of ray stored by this result.
int | ttrLayerIndex
| The index of the velocity layer within which the ray turned.
bool | ttrIsInterfaceUpper
bool | ttrIsInterfaceLower
bool | ttrIsSplitUpper
| A boolean, which if true, defines the ray as turning in the upper half of a retrograde layer.
bool | ttrIsSplitLower
| A boolean, which if true, defines the ray as turning in the lower half of a retrograde layer.
double | ttrP
| The ray parameter (slowness) of the ray.
double | ttrR
| The ray turning radius.
double | ttrV
| The velocity at the turning point.
double | ttrT
| The total travel time of the ray from source to receiver.
double | ttrDRay
| The surface-to-surface ray distance.
double | ttrTRay
| The surface-to-surface ray time.
double | ttrDSrc
| The surface-to-source ray distance.
double | ttrTSrc
| The surface-to-source ray time.
double | ttrDRcvr
| The surface-to-receiver ray distance.
double | ttrTRcvr
| The surface-to-receiver ray time.
double | ttrDIntrfc
| The distance along the layer boundary if ttrIsInterface is true.
double | ttrTIntrfc
| The time along the layer boundary if ttrIsInterface is true.
double | ttrDerivs [4]

## Detailed Description

A public container (struct) that holds the result of a specific ray that satisfied the source distance / depth! requirement. This object maintains all pertinent information related to the ray for subsequent retrieval and evaluation.

Definition at line 843 of file TauPSite.h.

## Constructor & Destructor Documentation

## ◆ TravelTimeResult()

taup::TravelTimeResult::TravelTimeResult | ( |  | ) |
| inline

Default constructor.

Definition at line 848 of file TauPSite.h.

## Member Function Documentation

## ◆ toStream()

void taup::TravelTimeResult::toStream | ( | ostream & | os,
|  | string | indent = "" ) const

Dump TTR to stream.

## ◆ toString()

string taup::TravelTimeResult::toString | ( | string | indent = "" | ) | const

Dump TTR to string.

## Member Data Documentation

## ◆ ttrDerivs

double taup::TravelTimeResult::ttrDerivs[4]

The derivative array containing the following entries ttrDerivs[0] = dT/dDist; ttrDerivs[1] = dT/dDpth; ttrDerivs[2] = d^2T/dDist/dDpth; ttrDerivs[3] = d^2T/dDist^2;

Definition at line 934 of file TauPSite.h.

## ◆ ttrDIntrfc

double taup::TravelTimeResult::ttrDIntrfc

The distance along the layer boundary if ttrIsInterface is true.

Definition at line 924 of file TauPSite.h.

## ◆ ttrDRay

double taup::TravelTimeResult::ttrDRay

The surface-to-surface ray distance.

Definition at line 906 of file TauPSite.h.

## ◆ ttrDRcvr

double taup::TravelTimeResult::ttrDRcvr

The surface-to-receiver ray distance.

Definition at line 918 of file TauPSite.h.

## ◆ ttrDSrc

double taup::TravelTimeResult::ttrDSrc

The surface-to-source ray distance.

Definition at line 912 of file TauPSite.h.

## ◆ ttrIsInterfaceLower

bool taup::TravelTimeResult::ttrIsInterfaceLower

/brief A boolean, which if true, defines this information as a ray that diffracts along the lower boundary of the layer using the next layers velocity at its upper boundary.

Definition at line 883 of file TauPSite.h.

## ◆ ttrIsInterfaceUpper

bool taup::TravelTimeResult::ttrIsInterfaceUpper

/brief A boolean, which if true, defines this information as a ray that diffracts along the lower boundary of the layer using the layers velocity at the lower boundary.

Definition at line 878 of file TauPSite.h.

## ◆ ttrIsSplitLower

bool taup::TravelTimeResult::ttrIsSplitLower

A boolean, which if true, defines the ray as turning in the lower half of a retrograde layer.

Definition at line 891 of file TauPSite.h.

## ◆ ttrIsSplitUpper

bool taup::TravelTimeResult::ttrIsSplitUpper

A boolean, which if true, defines the ray as turning in the upper half of a retrograde layer.

Definition at line 887 of file TauPSite.h.

## ◆ ttrLayerIndex

int taup::TravelTimeResult::ttrLayerIndex

The index of the velocity layer within which the ray turned.

Definition at line 873 of file TauPSite.h.

## ◆ ttrP

double taup::TravelTimeResult::ttrP

The ray parameter (slowness) of the ray.

Definition at line 894 of file TauPSite.h.

## ◆ ttrPhaseEval

string taup::TravelTimeResult::ttrPhaseEval

The velocity layers evaluated default name. This string is never empty. This will be Xnb, Xnb+, Xnb-, Xni+, or Xni- where n is the layer index and X is "P" or "S".

Definition at line 866 of file TauPSite.h.

## ◆ ttrPhaseName

string taup::TravelTimeResult::ttrPhaseName

The velocity layers input provided phase name if given. Else the string is empty.

Definition at line 861 of file TauPSite.h.

## ◆ ttrR

double taup::TravelTimeResult::ttrR

The ray turning radius.

Definition at line 897 of file TauPSite.h.

## ◆ ttrRayType

string taup::TravelTimeResult::ttrRayType

A string that contains "Turning", "UpGoing", or "DownGoing" indicating the type of ray stored by this result.

Definition at line 870 of file TauPSite.h.

## ◆ ttrT

double taup::TravelTimeResult::ttrT

The total travel time of the ray from source to receiver.

Definition at line 903 of file TauPSite.h.

## ◆ ttrTIntrfc

double taup::TravelTimeResult::ttrTIntrfc

The time along the layer boundary if ttrIsInterface is true.

Definition at line 927 of file TauPSite.h.

## ◆ ttrTRay

double taup::TravelTimeResult::ttrTRay

The surface-to-surface ray time.

Definition at line 909 of file TauPSite.h.

## ◆ ttrTRcvr

double taup::TravelTimeResult::ttrTRcvr

The surface-to-receiver ray time.

Definition at line 921 of file TauPSite.h.

## ◆ ttrTSrc

double taup::TravelTimeResult::ttrTSrc

The surface-to-source ray time.

Definition at line 915 of file TauPSite.h.

## ◆ ttrV

double taup::TravelTimeResult::ttrV

The velocity at the turning point.

Definition at line 900 of file TauPSite.h.

## ◆ ttrVelLayer

TPVelocityLayer* taup::TravelTimeResult::ttrVelLayer

The velocity layer within which the ray turned.

Definition at line 857 of file TauPSite.h.

The documentation for this class was generated from the following file:

- rstt_v3.2.1/SLBM/include/TauPSite.h